Package fr.gouv.vitam.worker.core.plugin.purge

# Class PurgeUnitPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.purge.PurgeUnitPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `PurgeUnitCollectPlugin`, `PurgeUnitVitamPlugin`

public abstract class PurgeUnitPlugin extends ActionHandler
Purge unit plugin.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVAL_AGENCY_IDENTIFIER`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `PurgeUnitPlugin(String actionId)`
  Default constructor
  `protected`
  `PurgeUnitPlugin(String actionId, PurgeReportService purgeReportService, LogbookLifeCyclesClientFactory llfcClientFactory)`
  Test only constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `protected abstract void`
  `deleteUnit(Map<String,com.fasterxml.jackson.databind.JsonNode> unitsById, Set<String> unitsToDelete, HandlerIO handler)`
  `ItemStatus`
  `execute(WorkerParameters param, HandlerIO handler)`
  Execute an action
  `List<ItemStatus>`
  `executeList(WorkerParameters param, HandlerIO handler)`
  `protected static List<PersistentIdentifierModel>`
  `extractPersistentIdentifiersFromUnit(com.fasterxml.jackson.databind.JsonNode unit)`
  `protected static PersistentIdentifierModel`
  `mapJsonToPersistentIdentifierModel(com.fasterxml.jackson.databind.JsonNode identifierNode)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ARCHIVAL_AGENCY_IDENTIFIER

    public static final String ARCHIVAL_AGENCY_IDENTIFIER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PurgeUnitPlugin

    public PurgeUnitPlugin(String actionId)
    Default constructor
    Parameters:
      `actionId` -

  - ### PurgeUnitPlugin

    protected PurgeUnitPlugin(String actionId, PurgeReportService purgeReportService, LogbookLifeCyclesClientFactory llfcClientFactory)
    Test only constructor

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters param, HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `param` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code
    Throws:
      `ProcessingException` - if an error is encountered when executing the action

  - ### executeList

    public List<ItemStatus> executeList(WorkerParameters param, HandlerIO handler)
    Overrides:
      `executeList` in class `ActionHandler`
    Parameters:
      `param` -
      `handler` -
    Returns:

  - ### deleteUnit

    protected abstract void deleteUnit(Map<String,com.fasterxml.jackson.databind.JsonNode> unitsById, Set<String> unitsToDelete, HandlerIO handler) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### extractPersistentIdentifiersFromUnit

    protected static List<PersistentIdentifierModel> extractPersistentIdentifiersFromUnit(com.fasterxml.jackson.databind.JsonNode unit)

  - ### mapJsonToPersistentIdentifierModel

    protected static PersistentIdentifierModel mapJsonToPersistentIdentifierModel(com.fasterxml.jackson.databind.JsonNode identifierNode)

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete